| KEYZY C++ Client Library 1.7.1 To develop software that is compiled with a C++ compiler and utilizes the KEYZY service (www.keyzy.io)

Loading...
Searching...
No Matches
Public Attributes | List of all members
Keyzy::LicenseInfo Struct Reference

`#include <KeyzyTypes.h>`

## Public Attributes
std::string | _skuNumber
std::string | _productCode
std::string | _licenseeName
std::string | _licenseeEmail
std::string | _versionCode
std::string | _licenseType
std::int64_t | _startTime = 315522000
std::int64_t | _endTime = 315522000
std::string | _info
std::string | _serialNumber

## Detailed Description

Contains license information

## Member Data Documentation

## ◆ _skuNumber

std::string Keyzy::LicenseInfo::_skuNumber

Contains the unique SKU number of the sku

## ◆ _productCode

std::string Keyzy::LicenseInfo::_productCode

Contains the unique product code of the product

## ◆ _licenseeName

std::string Keyzy::LicenseInfo::_licenseeName

Contains the name of the licensee

## ◆ _licenseeEmail

std::string Keyzy::LicenseInfo::_licenseeEmail

Contains the email of the licensee

## ◆ _versionCode

std::string Keyzy::LicenseInfo::_versionCode

Contains the version code of the product that is connected to the SKU

## ◆ _licenseType

std::string Keyzy::LicenseInfo::_licenseType

Contains the type of the license. It's "trial"

## ◆ _startTime

std::int64_t Keyzy::LicenseInfo::_startTime = 315522000

Contains the start time of the trial license in unix timestamp format.
Default time is 315522000.
It's only used for trial and subscription license types.

## ◆ _endTime

std::int64_t Keyzy::LicenseInfo::_endTime = 315522000

Contains the end time of the trial license in unix timestamp format.
Default time is 315522000.
It's used for trial and subscription license types as end time.
It's used for perpetual license type as offline_license_life.

## ◆ _info

std::string Keyzy::LicenseInfo::_info

Contains the text for the license if any text is applied before the deposit process

## ◆ _serialNumber

std::string Keyzy::LicenseInfo::_serialNumber

Contains the serial number of the license